다음을 통해 공유


Private Link Resources - List Supported

지정된 서비스에 대해 지원되는 모든 프라이빗 링크 리소스 유형의 목록을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateLinkResources?api-version=2025-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

searchServiceName
path True

string

pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$

지정된 리소스 그룹과 연결된 Azure AI Search 서비스의 이름입니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 헤더

Name 필수 형식 Description
x-ms-client-request-id

string (uuid)

이 요청을 식별하는 클라이언트에서 생성된 GUID 값입니다. 지정된 경우 요청을 추적하는 방법으로 응답 정보에 포함됩니다.

응답

Name 형식 Description
200 OK

PrivateLinkResourcesResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

CloudError

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

ListSupportedPrivateLinkResources

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateLinkResources?api-version=2025-05-01

샘플 응답

{
  "value": [
    {
      "name": "searchService",
      "type": "Microsoft.Search/searchServices/privateLinkResources",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateLinkResources/searchService",
      "properties": {
        "groupId": "searchService",
        "requiredMembers": [
          "searchService"
        ],
        "requiredZoneNames": [
          "privatelink.search.windows.net"
        ],
        "shareablePrivateLinkResourceTypes": [
          {
            "name": "blob",
            "properties": {
              "type": "Microsoft.Storage/storageAccounts",
              "description": "Azure AI Search indexers can connect to blobs in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
              "groupId": "blob"
            }
          },
          {
            "name": "table",
            "properties": {
              "type": "Microsoft.Storage/storageAccounts",
              "description": "Azure AI Search indexers can connect to tables in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
              "groupId": "table"
            }
          },
          {
            "name": "Sql",
            "properties": {
              "type": "Microsoft.DocumentDB/databaseAccounts",
              "description": "Azure AI Search indexers can connect to Azure Cosmos DB API for NoSQL for reading data from an indexer data source.",
              "groupId": "Sql"
            }
          },
          {
            "name": "plr",
            "properties": {
              "type": "Microsoft.Sql/servers",
              "description": "Azure AI Search indexers can connect to Azure SQL database on a server for reading data from an indexer data source.",
              "groupId": "sqlServer"
            }
          },
          {
            "name": "vault",
            "properties": {
              "type": "Microsoft.KeyVault/vaults",
              "description": "Azure AI Search can access keys in Azure Key Vault to encrypt sensitive data in a search index and synonym map data.",
              "groupId": "vault"
            }
          },
          {
            "name": "plr",
            "properties": {
              "type": "Microsoft.DBforMySQL/servers",
              "description": "Azure AI Search indexers can connect to MySQL databases for reading data from an indexer data source.",
              "groupId": "mysqlServer"
            }
          },
          {
            "name": "site",
            "properties": {
              "type": "Microsoft.Web/sites",
              "description": "For custom skills that connect to an app service, you can specify sites as the group ID.",
              "groupId": "sites"
            }
          }
        ]
      }
    }
  ]
}

정의

Name Description
CloudError

API 오류에 대한 정보를 포함합니다.

CloudErrorBody

오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다.

createdByType

리소스를 만든 ID의 형식입니다.

PrivateLinkResource

Azure AI Search 서비스에 대해 지원되는 프라이빗 링크 리소스에 대해 설명합니다.

PrivateLinkResourceProperties

Azure AI Search 서비스에 대해 지원되는 프라이빗 링크 리소스의 속성을 설명합니다. 지정된 API 버전의 경우 공유 프라이빗 링크 리소스를 만들 때 '지원되는' groupId를 나타냅니다.

PrivateLinkResourcesResult

지원되는 Private Link 리소스 목록을 포함하는 응답입니다.

ShareablePrivateLinkResourceProperties

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 유형의 속성에 대해 설명합니다.

ShareablePrivateLinkResourceType

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 종류에 대해 설명합니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

CloudError

API 오류에 대한 정보를 포함합니다.

Name 형식 Description
error

CloudErrorBody

오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다.

message

string

오류에 대한 간략한 설명은 무엇이 잘못되었는지를 암시합니다(세부 정보/디버깅 정보는 'error.message' 속성을 참조).

CloudErrorBody

오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다.

Name 형식 Description
code

string

HTTP 상태 코드보다 오류 조건을 보다 정확하게 설명하는 오류 코드입니다. 프로그래밍 방식으로 특정 오류 사례를 처리하는 데 사용할 수 있습니다.

details

CloudErrorBody[]

이 오류와 관련된 중첩된 오류를 포함합니다.

message

string

오류를 자세히 설명하고 디버깅 정보를 제공하는 메시지입니다.

target

string

특정 오류의 대상입니다(예: 오류에 있는 속성의 이름).

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

PrivateLinkResource

Azure AI Search 서비스에 대해 지원되는 프라이빗 링크 리소스에 대해 설명합니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties

PrivateLinkResourceProperties

Azure AI Search 서비스에 대해 지원되는 프라이빗 링크 리소스의 속성을 설명합니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

PrivateLinkResourceProperties

Azure AI Search 서비스에 대해 지원되는 프라이빗 링크 리소스의 속성을 설명합니다. 지정된 API 버전의 경우 공유 프라이빗 링크 리소스를 만들 때 '지원되는' groupId를 나타냅니다.

Name 형식 Description
groupId

string

프라이빗 링크 리소스의 그룹 ID입니다.

requiredMembers

string[]

프라이빗 링크 리소스의 필수 멤버 목록입니다.

requiredZoneNames

string[]

프라이빗 링크 리소스의 필수 DNS 영역 이름 목록입니다.

shareablePrivateLinkResourceTypes

ShareablePrivateLinkResourceType[]

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 목록입니다.

PrivateLinkResourcesResult

지원되는 Private Link 리소스 목록을 포함하는 응답입니다.

Name 형식 Description
nextLink

string

다음 프라이빗 링크 자원 세트를 얻기 위한 URL입니다.

value

PrivateLinkResource[]

지원되는 Private Link 리소스 목록입니다.

ShareablePrivateLinkResourceProperties

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 유형의 속성에 대해 설명합니다.

Name 형식 Description
description

string

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 종류에 대한 설명입니다.

groupId

string

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스의 리소스 공급자 그룹 ID입니다.

type

string

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스에 대한 리소스 공급자 유형입니다.

ShareablePrivateLinkResourceType

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 종류에 대해 설명합니다.

Name 형식 Description
name

string

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 유형의 이름입니다.

properties

ShareablePrivateLinkResourceProperties

Azure AI Search에서 지원하는 프라이빗 링크 서비스에 온보딩된 리소스 유형의 속성에 대해 설명합니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.